# XmppConnectionState enum

The states the XmppConnection can be in

Inheritance
  - Object
  - Enum
  - XmppConnectionState

## Constructors

XmppConnectionState ()
  const

## Values

notConnected → const XmppConnectionState

  The XmppConnection instance is not connected to the server. This is either the case before connecting or after disconnecting.

connecting → const XmppConnectionState

  We are currently trying to connect to the server.

connected → const XmppConnectionState

  We are currently connected to the server.

error → const XmppConnectionState

  We have received an unrecoverable error and the server killed the connection

## Properties

hashCode → int
  The hash code for this object.
  no setterinherited
index → int
  A numeric identifier for the enumerated value.
  no setterinherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited

## Methods

noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString () → String
  A string representation of this object.
  inherited

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List <XmppConnectionState>
  A constant List of the values in this enum, in order of their declaration.
  `[notConnected, connecting, connected, error]`